Bug 1289712 - [GSS](6.4.z) Incorrect display of datasource status in runtime statistics
[GSS](6.4.z) Incorrect display of datasource status in runtime statistics
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.4.5
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.12
Assigned To: baranowb
Pavel Jelinek
eap6412-proposed
:
Depends On:
Blocks: eap6412-payload
  Show dependency treegraph
 
Reported: 2015-12-08 13:58 EST by Ranjith Pulluru
Modified: 2017-01-17 08:16 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 08:16:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen-shot configuration tab Jboss EAP 6.4.5 (71.98 KB, image/png)
2015-12-08 13:58 EST, Ranjith Pulluru
no flags Details
Screen-shot of Runtime tab JBoss EAP 6.4.5 (68.48 KB, image/png)
2015-12-08 13:59 EST, Ranjith Pulluru
no flags Details

  None (edit)
Description Ranjith Pulluru 2015-12-08 13:58:08 EST
Created attachment 1103677 [details]
Screen-shot configuration tab Jboss EAP 6.4.5

Description of problem:
=======================
 - Incorrect display of datasource status in runtime statistics.

Version-Release number of selected component (if applicable):
==============================================================
 - JBoss EAP 6.4.5

Steps to Reproduce:
===================
1) Take a fresh JBoss EAP 6.4.5. Start JBoss server in domain mode.
2) Open the JBoss EAP 6 admin-console.
3) Navigate to Configuration tab -> select profile full -> go to connector -> Datasources and disable the datasource.
4) Restart the JBoss server.(ctrl+c and start the jboss server)
5) Open the JBoss EAP 6 admin-console.
6) Navigate to Runtime tab -> go to subsystem datasources.
7) You can see the datasource is still enabled.

Actual results:
===============
- In runtime tab I can see the datasource is still enabled. 

Expected results:
=================
- In runtime tab datasource should show it is disabled.

Additional info:
=================
- Tested in JBoss EAP 7 alpha it is showing the expected result.
Workaround:
  - Before disabling the datasource.
     1) stop the servers
     2) disable the datasource.
     3) start the servers
     4) Navigate to Runtime tab -> go to subsystem datasources -> You can see datasource is disabled.
Comment 1 Ranjith Pulluru 2015-12-08 13:59 EST
Created attachment 1103678 [details]
Screen-shot of Runtime tab JBoss EAP 6.4.5
Comment 11 Mike McCune 2016-03-28 18:18:06 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 12 Michael Cada 2016-11-05 07:25:56 EDT
Verified with EAP 6.4.12.CP.CR1
Comment 13 Petr Penicka 2017-01-17 08:16:23 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.